Subject: Re: [PATCH] gitmodules.txt: fix 'GIT_WORK_TREE' variable name

From: Felipe Contreras <[email-masked]>
Date: Sat, 02 Jan 2021 16:09:23 -0600

Martin Ågren wrote:
> On Sat, 2 Jan 2021 at 20:39, Philippe Blain via GitGitGadget
> <[email-masked]> wrote:
> >
> > From: Philippe Blain <[email-masked]>
> >
> > 'gitmodules.txt' is a guide about the '.gitmodules' file that describes
> > submodules properties, and that file must exist at the root of the
> > repository. This was clarified in e5b5c1d2cf (Document clarification:
> > gitmodules, gitattributes, 2008-08-31).
> >
> > However, that commit mistakenly uses the non-existing environment
> > variable 'GIT_WORK_DIR' to refer to the root of the repository.
> 
> Good catch! I wonder what we should conclude from this having gone
> unreported for so long.

That perhaps not that many people actually read the official
documentation?

I've noticed the common response RTFM is not that common anymore. A lot
of people seem to rely on Stack Overflow, blogs, and some semi-official
documentation (GitHub, Atlassian, etc.).

Cheers.

-- 
Felipe Contreras